
require 'ygg/provisioner'

require 'ygg/vhosts/provisioner/version'
require 'ygg/vhosts/provisioner/task'

module Ygg
module Vhosts
module Provisioner

class Worker < Ygg::Provisioner::Worker
  self.version = Ygg::Vhosts::Provisioner::VERSION
  self.subsystem = 'vhosts_provisioner'
  self.task_class = Task

  init_defaults

  private
  #######

  def init(options = {})
    Vhost.config = config
    Vhost.agentcfg = agentcfg
    Vhost.log = log
    Vhost.db_path = agentcfg[:db_path]

    super
  end
end

end
end
end
